import { GraphQLSchema, GraphQLField, GraphQLInputType } from 'graphql';
export declare type IndexedObject<V> = {
    [key: string]: V;
} | ReadonlyArray<V>;
export declare type IFieldIteratorFn = (fieldDef: GraphQLField<any, any>, typeName: string, fieldName: string) => void;
export declare type IDefaultValueIteratorFn = (type: GraphQLInputType, value: any) => void;
export declare function forEachField(schema: GraphQLSchema, fn: IFieldIteratorFn): void;
export declare function forEachDefaultValue(schema: GraphQLSchema, fn: IDefaultValueIteratorFn): void;
export declare function updateEachKey<V>(arrayOrObject: IndexedObject<V>, updater: (value: V, key: string) => void | null | V): void;
export declare function each<V>(arrayOrObject: IndexedObject<V>, callback: (value: V, key: string) => void): void;
